///////////////////////////////////////////////////////////////////////////////////////
//NAME:     tt.h
//DATE:     9/18/03
//PURPOSE:  Header file with definitions use in the C-based talkthrough examples
//
////////////////////////////////////////////////////////////////////////////////////////
#ifndef _TT_H_
#define _TT_H_

#include <cdef21262.h>
#include <def21262.h>
#include <signal.h>
#include <21262.h>

#define NUM_SAMPLES 512
#define DELAY 3520*4
#define LENGTH  (((NUM_SAMPLES)/2)-1)*4+DELAY // external buffer length of each channel
#define NUM_TAPS 18
#define RLENGTH (NUM_SAMPLES/2)*NUM_TAPS // Internal buffer length for read DMA

// Function prototypes for this talkthrough code
extern void processBlock( int *);

extern void InitDAI(void);
extern void Init1835viaSPI(void);

extern void InitSPORT(void);
extern void TalkThroughISR(int);
extern void ClearSPORT(void);

extern void SetupSPI1835 () ;
extern void DisableSPI1835 () ;
extern void Configure1835Register (int i) ;
extern unsigned int Get1835Register (int i) ;

extern void SetupIRQ12 () ;
extern void Irq1ISR (int i) ;
extern void Irq2ISR (int i) ;

extern void Delay (int i) ;

extern void InitBuf();
extern void WriteDMA( int *Inptr,  int *Wrptr,  int *TestDMA, int *BUF);
extern void TransDMA(int  *Tinptr,  int Tcount, int *Textptr);
extern void RecivDMA(int *Rinptr, int Rcount, int  *Rextptr);
extern void ReadDMA(int *Inptr, int *Rdptr, int *TestDMA, int *BUF);
extern  DelayProcess(int*InBlockptr,int*InBufptr);

extern int isProcessing;
extern int blockReady;
extern int *src_pointer[3];
extern int int_cntr;
extern int LBUF[LENGTH];  // external Left circular buffer
extern int RBUF[LENGTH];  // external Right Circualr buffer
extern int *WrLptr,*WrRptr; // Pointers for left and right buffers in external memory
extern int *TestL , *TestR; //  pointers to test for circular buffer wrapping in DMAs
extern int *RdptrInit, *WrptrTemp; // two variables that need to be updated to point to next read and write pointers

#endif
